"
 COPYRIGHT (c) 1988 by Claus Gittinger / eXept Software AG
 COPYRIGHT (c) 2015-2016 Jan Vrany
 COPYRIGHT (c) 2021 LabWare
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

"{ NameSpace: Smalltalk }"

Solarized subclass:#SolarizedDark
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Text-Theme'
!

!SolarizedDark class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1988 by Claus Gittinger / eXept Software AG
 COPYRIGHT (c) 2015-2016 Jan Vrany
 COPYRIGHT (c) 2021 LabWare
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!SolarizedDark methodsFor:'styles'!

defaultSyntaxBackground
    "Return a background color for the code editor. If nil is returned,
     a TextView's default background is used instread."

    ^ Base03

    "Created: / 11-12-2017 / 17:41:15 / jv"
!

defaultSyntaxColor
    "the color used for anything else;
     If syntaxColoring is turned on."

    ^ Base1

    "Created: / 11-12-2017 / 17:41:25 / jv"
! !

!SolarizedDark methodsFor:'styles - navigation'!

assignmentHighlightBackround
    ^ Red darker

    "Created: / 15-09-2021 / 21:33:16 / Jan Vrany <jan.vrany@labware.com>"
!

selectorHighlightBackground
    ^ Blue darker

    "Created: / 15-09-2021 / 21:33:24 / Jan Vrany <jan.vrany@labware.com>"
!

variableHighlightBackground
    ^ Yellow darker

    "Created: / 15-09-2021 / 21:33:31 / Jan Vrany <jan.vrany@labware.com>"
! !

